> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/conversion/convert-html.md).

# Convert HTML to PDF on iOS

Convert local HTML files to PDF without an internet connection. Learn how to use platform-specific conversion APIs for HTML to PDF conversion. Find out more here! The Apryse iOS SDK streamlines secure

{% hint style="info" %}
Internet connection is not required when converting local HTML files. However, it is required for converting HTTP/HTTPS links.
{% endhint %}

The platform-specific conversion API also supports HTML to PDF conversion, either with the [`+convertOfficeToPDF:paperSize:completion:`](https://sdk.apryse.com/api/ios/Classes/PTConvert.html#/c:objc\(cs\)PTConvert\(cm\)convertOfficeToPDF:paperSize:completion:) method for `.html` files or the [`+convertHTMLStringToPDF:baseURL:paperSize:completion:`](https://sdk.apryse.com/api/ios/Classes/PTConvert.html#/c:objc\(cs\)PTConvert\(cm\)convertHTMLStringToPDF:baseURL:paperSize:completion:) for raw HTML text.

The following code shows how to convert an HTML string to PDF:

{% tabs %}
{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
PTConvert.convertHTMLString(toPDF: htmlString, baseURL: baseURL, paperSize: .zero) { (pathToPDF) in
    guard let pathToPDF = pathToPDF else {
        // Failed to convert HTML to PDF.
        return
    }
    
    // Copy temporary PDF to persistent location.
    let documentDirectory = NSSearchPathForDirectoriesInDomains(.documentDirectory, .userDomainMask, false)[0]
    
    let urlToPDF = URL(fileURLWithPath: pathToPDF)
    let destinationURL = URL(fileURLWithPath: documentDirectory).appendingPathComponent(urlToPDF.lastPathComponent)
    
    do {
        try FileManager.default.copyItem(at: urlToPDF, to: destinationURL)
    } catch {
        // Failed to copy item to persistent location.
    }

    // Do something with PDF output.
}
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
[PTConvert convertHTMLStringToPDF:htmlString baseURL:baseURL paperSize:CGSizeZero completion:^(NSString *pathToPDF) {
    if (!pathToPDF) {
        // Failed to convert HTML to PDF.
        return;
    }
    
    NSString *documentDirectory = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, NO)[0];
    
    // Copy temporary PDF to persistent location.
    NSURL *urlToPDF = [NSURL fileURLWithPath:pathToPDF];
    NSURL *destinationURL = [[NSURL fileURLWithPath:documentDirectory] URLByAppendingPathComponent:urlToPDF.lastPathComponent];
    
    NSError *error = nil;
    BOOL result = [NSFileManager.defaultManager copyItemAtURL:urlToPDF toURL:destinationURL error:&error];
    if (!result) {
        // Failed to copy PDF to persistent location.
    }

    // Do something with PDF output.
}];
```

{% endcode %}
{% endtab %}
{% endtabs %}

where `baseURL` is the URL to use as the page's base URL for resolving relative links in the document.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/conversion/convert-html.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
